[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomProgressBar.Step

Increment applied to the value in Position in the StepIt method.

## Declaration

Source position: comctrls.pp line 1854

`public property TCustomProgressBar.Step : Integer read FStep write SetStep default 10;`

## Description

Step is an Integer property with the increment applied to the value in Position in the StepIt method. The default value for the property is 10, and represents 10% of the default range in Min and Max.

Changing the value for the property causes the ApplyChanges method to be called to normalize the values in Min, Max, and Position. ApplyChanges also updates the visual appearance and settings in the widgetset class instance.

Update Step when the range of values in Min and Max are changed.

Remark: | For the macOS Carbon widgetset, the Step property is not supported.